<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Media Player</title>
    <link rel="stylesheet" href="/css/themes/splide-default.min.css">
    <link rel="stylesheet" href="/css/splide-extension-video.min.css">
    <link rel="stylesheet" href="/css/splide.min.css">
    <link rel="stylesheet" href="/css/stylesheet.css"> 
    <script src="/js/splide-extension-video.min.js"></script>
    <script src="/js/splide.min.js"></script>
  </head>
  <body>
    <section id="slideshow" class="splide" aria-label="{{ slideshow.id }}"> 
      <div class="splide__track">
        <ul class="splide__list">
          {% for slide in slideshow.slides %}
            {% if slide.type === "image" %}
              <li
                class="splide__slide"
                {% if slide.interval %}
                data-splide-interval="{{slide.interval}}"
                {% endif  %}
              > 
                <img src="{{slide.src}}" alt="{{slide.alt}}">
              </li>
            {% elif slide.type === "video" %}
              <li
                class="splide__slide"
                data-splide-html-video="{{slide.src}}"
                {% if slide.interval %}
                data-splide-interval="{{slide.interval}}"
                {% endif  %}
              > 
                <img src="{{slide.src}}" alt="{{slide.alt}}">
              </li>
            {% endif  %}
          {% endfor %}
        </ul>
      </div>
    </section>
  </body>
  <script>
    const splide = new Splide(
      '#slideshow',
      {
        type: 'fade',
        rewind: true,
        speed: 1000,
        interval: 5000, // Default interval
        start: 0,
        lazyLoad: 'nearby',
        arrows: false,
        pagination: false,
        autoplay: true,
        pauseOnHover: false,
        drag: true,
        rewindByDrag: true,
        keyboard: 'global',
        mouse: false,
        video: {
          loop: true,
          mute: true,
          autoplay: true,
          disableOverlayUI: true,
          hideControls: true,
          htmlVideo: {
            controls: false,
          },
        },
      }
    )

    splide.mount(window.splide.Extensions);

    // Get the autoplay component
    const autoplay = splide.Components.Autoplay;

    // Start the autoplay
    autoplay.play();
  </script>

</html>
